# 项目相关配置
ruoyi:
    # 名称
    name: ruoyi-pure
    # 版本
    version: 3.8.5
    # 版权年份
    copyrightYear: 2024
    # 实例演示开关
    demoEnabled: false
    # 获取ip地址开关
    addressEnabled: false
    # 验证码类型 math 数组计算 char 字符验证
    captchaType: math

# 开发环境配置
server:
    # 服务器的HTTP端口，默认为8080
    port: 8080
    servlet:
        # 应用的访问路径
        context-path: /
    tomcat:
        # tomcat的URI编码
        uri-encoding: UTF-8
        # 连接数满后的排队数，默认为100
        accept-count: 1000
        threads:
            # tomcat最大线程数，默认为200
            max: 800
            # Tomcat启动初始化的线程数，默认值10
            min-spare: 100

# Spring配置
spring:
    profiles:
        active: dev
    # 资源信息
    messages:
        # 国际化资源文件路径
        basename: i18n/messages
    # 文件上传
    servlet:
        multipart:
            # 单个文件大小
            max-file-size: 100MB
            # 设置总上传的文件大小
            max-request-size: 100MB

# 日志配置
logging:
    level:
        com.tangguo: debug
        org.springframework: warn

# 用户配置
user:
    password:
        # 密码最大错误次数
        maxRetryCount: 5
        # 密码锁定时间（默认10分钟）
        lockTime: 10

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 300000000

# MyBatis Plus配置
mybatis-plus:
    # 不支持多包, 如有需要可在注解配置 或 提升扫包等级
    # 例如 com.**.**.mapper
    mapperPackage: com.**.**.mapper
    # 对应的 XML 文件位置
    mapper-locations: classpath*:mapper/**/*Mapper.xml
    # 实体扫描，多个package用逗号或者分号分隔
    type-aliases-package: com.**.domain
    configuration:
        # 自动驼峰命名规则（camel case）映射
        map-underscore-to-camel-case: true
        # 更详细的日志输出 会有性能损耗 org.apache.ibatis.logging.stdout.StdOutImpl
        # 默认日志输出 org.apache.ibatis.logging.slf4j.Slf4jImpl
        logImpl: org.apache.ibatis.logging.stdout.StdOutImpl
    global-config:
        banner: true
        db-config:
            # AUTO 自增 NONE 空 INPUT 用户输入 ASSIGN_ID 雪花 ASSIGN_UUID 唯一 UUID
            idType: AUTO
            logic-delete-field: deleted # 全局逻辑删除的实体字段名
            logic-delete-value: 2 # 逻辑已删除值(默认为 1)
            logic-not-delete-value: 0 # 逻辑未删除值(默认为 0)

# PageHelper分页插件
pagehelper:
    helperDialect: mysql
    supportMethodsArguments: true
    params: count=countSql

# Knife4j配置
knife4j:
    #开启增强配置
    enable: false
    #开启生产环境屏蔽
    production: false
    basic:
        enable: false
        username: admin
        password: 123456

# 防止XSS攻击
xss:
    # 过滤开关
    enabled: true
    # 排除链接（多个用逗号分隔）
    excludes: /system/notice
    # 匹配链接
    urlPatterns: /system/*,/monitor/*,/tool/*
